Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.jasper.runtime
Class HttpJspBase

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.struts2.jasper.runtime.HttpJspBase

All Implemented Interfaces:
  Serializable, javax.servlet.jsp.HttpJspPage, javax.servlet.jsp.JspPage, javax.servlet.Servlet, javax.servlet.ServletConfig

    public abstract class HttpJspBase

extends javax.servlet.http.HttpServlet
implements javax.servlet.jsp.HttpJspPage

This is the super class of all JSP-generated servlets.

Author:
  Anil K. Vijendran
See Also:
  Serialized Form

Constructor Summary
`protected` | `HttpJspBase()`

Method Summary
`protected void` | `_jspDestroy()`
`void` | `_jspInit()`
`abstract void` | `_jspService(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `destroy()`
`String` | `getServletInfo()`
`void` | `init(javax.servlet.ServletConfig config)`
`void` | `jspDestroy()`
`void` | `jspInit()`
`void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Entry point into service.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.Servlet
`getServletConfig, service`

Constructor Detail

### HttpJspBase

    protected HttpJspBase()

Method Detail

### init

    public final void init(javax.servlet.ServletConfig config)
                    throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### getServletInfo

    public String getServletInfo()

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`

### destroy

    public final void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### service

    public final void service(javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response)
                       throws javax.servlet.ServletException,
                              IOException

  Entry point into service.

  Overrides:
    `service` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

### jspInit

    public void jspInit()

  Specified by:
    `jspInit` in interface `javax.servlet.jsp.JspPage`

### _jspInit

    public void _jspInit()

### jspDestroy

    public void jspDestroy()

  Specified by:
    `jspDestroy` in interface `javax.servlet.jsp.JspPage`

### _jspDestroy

    protected void _jspDestroy()

### _jspService

    public abstract void _jspService(javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response)
                              throws javax.servlet.ServletException,
                                     IOException

  Specified by:
    `_jspService` in interface `javax.servlet.jsp.HttpJspPage`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.